//==================================
// LOADPROF - Matt Pietrek 1994
// FILE: LDEVENT.H
//==================================
typedef enum
{
    LOADSEG_EVENT,      // A segment load
    STARTTASK_EVENT,    // The task's entry point is about to be called
    STARTDLL_EVENT,     // A DLL's entry point is about to be called
    POSTDLL_EVENT,      // The LibMain's of implicitly loaded DLLs are done
    GETMESSAGE_EVENT    // The program has entered its GetMessage loop
} EVENT_TYPE;

typedef struct
{
    WORD wSegNum;
    ATOM aSzModule;
    BYTE fPreload;
} LOADSEG_EVENT_INFO;

typedef struct
{
    EVENT_TYPE  type;
    DWORD       dwMilliseconds;
    union
    {
        LOADSEG_EVENT_INFO  loadSeg;
        ATOM                startDll;
        ATOM                startTask;
    } x;
} LOADPROF_EVENT, FAR * LPLOADPROF_EVENT;
